Subject: Re: [PATCH 8/10] cxgb3 - Unmap offload packets when they are freed.

From: Jeff Garzik <[email-masked]>
Date: Wed, 31 Jan 2007 05:41:57 -0500

Divy Le Ray wrote:
> From: Divy Le Ray <[email-masked]>
> 
> Offload packets may be DMAed long after their SGE Tx descriptors are done
> so they must remain mapped until they are freed rather than until their
> descriptors are freed.  Unmap such packets through an skb destructor.
> 
> Signed-off-by: Divy Le Ray <[email-masked]>

this is questionable and sounds like you are working around a bug.  I 
can't think of another driver that uses skb destructors, and I could 
have sworn that skb destructors were not for drivers to use anyway

	Jeff